\documentclass{article}
\usepackage[utf8]{inputenc}
\usepackage[top = 2.5cm, left = 2.5cm, right = 2.5cm]{geometry}
\usepackage{multicol}
\usepackage{hyperref}

\begin{document}

\tableofcontents

\section{Minimaler Scope}

\subsection{Survey owner}
\subsubsection{Persona Prof. Samuel Eich}
\fbox{\begin{minipage}{\textwidth}
\paragraph{Personal:} Prof. Samuel Eich, 55, 3 children, teaches bioinformatics

\paragraph{Motivations:}
\begin{itemize}
\item gives lecture "Introduction to Machine Learning"
\item wonders why attendance rate is low in his lecture
\end{itemize}
\paragraph{Goals:}
\begin{itemize}
\item gives lecture and wants to assess its quality
\item wants to create his own survey with special questions
\item wants feedback about the quality of his teaching
\item wants to know in which way he can improve his lecture
\end{itemize}
\paragraph{Expectations:}
\begin{itemize}
\item survey works for different devices
\item evaluation should be automated or assisted, because he has no time for manual evaluation
\end{itemize}
\end{minipage}}

\paragraph*{User Stories}
\begin{itemize}
    \item \textbf{EPIC E1: Secure Data Storage}
    \begin{itemize}
        \item As a survey creator, I want a secure system, so that I can access sensitive data as well.
    \end{itemize}
        
    
    \item \textbf{EPIC E3: Survey Creation offers many options}
    \begin{itemize}
        \item As a professor, I want free-text field answers.
        \item As a professor, I want to be able to edit surveys after creating them.
        \item As a professor, I want to understand the UI intuitively, so that I don't have to ask for everything.
        \item As a professor, I want to use dropdown-answer questions.
        \item As a survey creator, I want an undo button.
        \item As a survey creator, I want the system to support multiple language, so that I can address non English-speaking people.
        \item As a survey creator, I want to create individual surveys, so that they fit the needs of the unique case study.
        \item As a survey creator, I want to include pictures into the questionnaire, so that I can ask questions about them.
    \end{itemize}
        
    \item \textbf{EPIC E4: Using Templates for survey creation}
    \begin{itemize}
        \item As a professor, I want to spend at most five minutes per question when creating a survey, so that I can do other work.
        \item As a professor, I want to ask my own questions, although I use the university's question templates.
    \end{itemize}
        
     \item \textbf{EPIC E5: participation}
     \begin{itemize}
        \item As a survey creator, I want the survey to work on mobile devices as well, so that more people fill it out.
    \end{itemize}
        
    \item \textbf{EPIC E6: Create Report for closed survey}
    \begin{itemize}
        \item As a researcher, I want to create reports for closed surveys, so that I can visualize the survey results.
        \item As a researcher, I want to trigger the evaluation of my survey with less than 5 clicks.
        \item As a researcher, I want to trigger the evaluation of my survey multiple times, because I got more answers.
        \item As a researcher, I want to see a boxplot representation of the evaluation of a question
        \item As a researcher, I want to see a piechart for each question in the generated report.
        \item As a researcher, I want to see my generated reports in the web browser.
        \item As a researcher, I want to export my reports.
        \item As a researcher, I want to plot the results of one question in one graph.
    \end{itemize}
        
    \item \textbf{EPIC E7: Free-text-field evaluation}
    \begin{itemize}
        \item As a researcher, I want assistance with processing free-text field answers, so that free-text questions aren't useless for me.
        \item As a survey creator, I want to reuse questions or surveys, so that I can ask certain questions in different surveys and I need less time for creation.
        \item As a researcher, I want to have an option for automated clustering of free-text- field questions to save time.
        \item As a researcher, I want to be able to select the free-text questions fields for that I want clustering.
        \item As a researcher, I want to select the degree of similarity for clustering similar research questions.
        \item As a researcher, I want to select the clustering algorithms, if it is possible to use more than one.
        \item As a researcher, I want that a type x clustering algorithms is used. 
        \item As a researcher, I want to see how many answers got rated as similar by the algorithms.
        \item As a researcher, I want to be able to compare all answers manually that got rated similar to check the correctness.
        \item As a researcher, I want to label free text fields, so that I can use the labels for the report generation.
    \end{itemize}
        
    \item \textbf{EPIC E8: Customizable survey layout}
    \begin{itemize}
        \item As a survey creator, I want individual layout options.
    \end{itemize}
    
    % coulds:
    \item \textbf{extensions:}
    \begin{itemize}
        \item As a researcher, I want the questionnaires to be distinguishable for all participants because I want to do multi-variant statistics on them.
        \item As a survey creator, I want to set start and end time of the survey beforehand.
        \item As a survey creator, I want to use templates so that creating similar surveys cost less time.
    
    \end{itemize}
 
    
\end{itemize}


\paragraph*{User Scenarios}
\begin{itemize}
    \item\textbf{Create survey:}
    Prof. Eich wants to create a new survey. He opens the ADAM website and creates a new  survey. After he added all questions and possible answers he publishes the survey.
    \item \textbf{Evaluate survey:}
    Prof. Eich wants to evaluate one of his surveys. He opens the ADAM website and selects the survey he wants to evaluate. After selecting the evaluation options, he lets the system create a report.  He looks at the report in the web browser, before he exports the report.
\end{itemize}


\newpage


\subsection{Survey participant}
\subsubsection{Persona Eva Heinrich}
\fbox{\begin{minipage}{\textwidth}
\paragraph{Personal:} Eva Heinrich, 18, single, biology, limited EDP knowledge
\paragraph{Motivations:}
\begin{itemize}
\item wants to fill out a survey for her lecture "Introduction to Machine Learning"
\item doesn't like the lecture and doesn't visit it because she thinks it's boring
\item wants to improve the lecture with her feedback
\end{itemize}
\paragraph{Goals:}
\begin{itemize}
\item not to spend much time with survey
\item give good feedback
\end{itemize}
\paragraph{Expectations:} 
\begin{itemize}
\item filling out survey is easy and not complicated
\item good usability
\item looks well on whichever device she uses
\item the professor cannot connect her answers to her face (anonymous)
\end{itemize}
\end{minipage}}

\paragraph*{User Stories}
\begin{itemize}
    \item \textbf{EPIC E2: EU-GDPR implementation }
    \begin{itemize}
        \item As a survey participant, I want to know how my data is stored and used, so that I can decide how I answer in the survey.
        \item As a student, I want to fill out questionnaires anonymously.
    \end{itemize}
    \item \textbf{EPIC E5: participation}
    \begin{itemize}
        \item As survey participant, I want to be able to fill out surveys independently from the device I am using, so that I don't to use special hardware or software.
        \item As a survey participant, I want to use my phone.
        \item As a survey participant, I want to use my desktop PC to fill out the survey.
    \end{itemize}
    
    \item \textbf{extensions:}
    \begin{itemize}
        \item As a survey participant, I want to use my keyboard for navigation, so that I can spend less time on each survey page.
        \item As a student, I want to be able to change the language when filling out a questionnaire.
    \end{itemize}
\end{itemize}


\paragraph*{User Scenarios}

\begin{itemize}
    \item \textbf{participate at survey:} 
    Eva Heinrich wants to participate in a survey. She opens the survey in the web browser. Before filling out the survey, she accepts the data protection policy. After she answered all the questions, that she wants to answer, she submits the survey.
\end{itemize}
\newpage

\subsection{Data Protection Commissioner (DPC)}

\subsubsection{Persona: Edward Schnee}
\fbox{\begin{minipage}{\textwidth}
\paragraph{Personal:} Edward Schnee, 37, married, works as Data Protection Commissioner for the university

\paragraph{Motivation:}
\begin{itemize}
    \item part of his job
    \item interested in Data Protection
    \item not get his university sued
\end{itemize}
\paragraph{Goal:}
\begin{itemize}
\item implement General Data Protection Regulation (GDPR)
\item protect users
\end{itemize}
\paragraph{Expectations:}
\begin{itemize}
\item the system itself is GDPR compliant
\item the system makes it easier for him to do the tasks he should do as DPC
\end{itemize}
\end{minipage}}

\paragraph*{User Stories}
\begin{itemize}
    \item \textbf{EPIC E2: EU-GDPR implementation }
    \begin{itemize}
    \item As a DPC, I want that everyone has to actively click a button to accept the data protection notice before doing anything.
    \item As a DPC, I want that the system stores no personal information until the user agrees to that because of the GDPR. 
    \item As a DPC, I want the system to encrypt all stored personal data because of the GDPR.
    \item As a DPC, I want the system to encrypt all data transfers to the user with SSL because of the GDPR.
    \item As a DPC, I need a GDPR conform system description.
    \item As a DPC, I want to export all personal information about someone because anyone can request their data (based on the GDPR).
    \item As a DPC, I want to delete all information stored about someone.
    \end{itemize}
    
    \item \textbf{extensions:}
    \begin{itemize}
        \item As a DPC, I want the system to automatically remove all personal information once it isn't needed any more because of the GDPR.
    \end{itemize}
    
\end{itemize}

\paragraph*{User Scenarios}

\begin{itemize}
    \item \textbf{Validate survey:}
    Edward Schnee receives a request to validate a survey. He opens the survey in a browser and checks the data protection policy. Afterwards, he checks if data that is acquired in the survey matches the data described in the data protection policy. In the end he checks if the survey used a encrypted connection to the server. He then either accepts or declines the survey.
    \item \textbf{Export user data:} 
    Edward Schnee receives a survey participant request. The user wants to see the data stored about him. Edward Schnee  selects the correct surveys, exports the data and sends it to the user.
    \item \textbf{Delete user data:}
     Edward Schnee receives a survey participant request. The user wants the data stored about him deleted. Edward Schnee selects the correct surveys and deletes the data about the user.
\end{itemize}
\newpage


\section{Extended Scope}

\subsection{Survey owner}
\subsubsection{Persona Isabel Petterson}
\fbox{\begin{minipage}{\textwidth}
\paragraph{Personal:} Prof. Isabel Petterson, 42, married, 1 child, professor for psychology, Language skills: swedish: natural, english: fluent, german: good, works at Uni Göttingen
\paragraph{Motivations:}
\begin{itemize}
\item wants to use surveys for psychological study in a research project, includes many free text fields
\end{itemize}
\paragraph{Goals:}
\begin{itemize}
\item export raw data from time to time to apply continuous evaluation
\item give partial access (survey administration) to research assistant, due to data protection policies
\end{itemize}
\paragraph{Expectations:}
\begin{itemize}
\item patient-data should be stored securely
\item provide survey in different languages
\item setup survey using an interface in English language
\item intelligent assistance for free text field evaluation
\end{itemize}
\end{minipage}}

\paragraph*{User Stories}
\begin{itemize}
    \item \textbf{EPIC E1: Secure Data Storage}
    \begin{itemize}
        \item As a researcher, I want a secure system, so that I can store sensitive data.
    \end{itemize}
    
    \item \textbf{EPIC E3: Survey Creation offers many options}
    \begin{itemize}
        \item As a researcher, I want to include many free text field into the survey, so that I can enquire about pernoal attitudes.
        \item As a researcher, I want to include pictures into the questionnaire, so that I can ask questions about them.
        \item As a researcher, I want the system to work for 500-2000 survey participants
        \item As a researcher, I don't want a multi steps user interface, so that the program responds quickly.
    \end{itemize}
    
    \item \textbf{EPIC E4: Create Report for closed survey}
    \begin{itemize}
        \item As a researcher, I want the system to load each view in less then 1 second,  even if there are multiple persons working on it.
        \item As a researcher, I want to be able to export raw data to do sophisticated manual analysis on them.
    \end{itemize}
    
    \item \textbf{EPIC E8: Customizable survey layout}
    \begin{itemize}
        \item As a researcher, I want individual layout options.
    \end{itemize}
    
    \item \textbf{extensions:}
    \begin{itemize}
        \item As a researcher, I want to be able to give partial access to my research assistants, so that I can fulfill data protection policies.
        \item As a researcher, I want the system to have an integrated scanning function, so that I can use on paper questionnaires
        \item As a researcher, I want to be able to print the questionnaire, so that I can use it in schools that don't have internet or computers.
        \item As a researcher, I want to be able to pin my questionnaires together, so that I don't get confused with longer questionnaires.
        \item As a researcher, I want verifying to be on a single page, so that I don't have to click through every single question.
        \item As a researcher, I want to be able to create different user profils and limit right for those, so that I can delegate work to my student assistants.
        \item As a researcher, I want the system to be inexpensive because my department doesn't have a lot of money
        \item As a researcher, I want to be able to use a layout similar to the IGLU and TIMMS studies.
    \end{itemize}
\end{itemize}

\paragraph*{User scenario}
\begin{itemize}    
    \item \textbf{Raw data export: }Prof. Petterson wants to export the raw data. Therefor she opens the ADAM website and selects the survey and checks that the manual verification is completed. Afterwards, she exports the data as csv, archives the survey and downloads the archived survey.
    \item \textbf{create account with restricted access rights} Prof. Petterson wants to create an account for one of her assistance. She opens the ADAM website, logs in and creates a new user profile (e.g. for a student assistant). Then she selects the rights for the user profile (only allowed to do verification) and logs out.
\end{itemize}
\newpage


\subsection{University Administration}

\subsubsection{Persona Andrea Ringbiel}    
\fbox{\begin{minipage}{\textwidth}
\paragraph{Personal:} Mrs. Andrea Ringbiel, 43, married, works for the university in  the quality assurance (QA) department and  uses a normal university windows setup
\paragraph{Motivations:}
\begin{itemize}
\item generally isn't very motivated and therefore wants to spend as little time as possible
\item part of her job
\end{itemize}
\paragraph{Goals:}
\begin{itemize}
\item create reports for all faculties 
\item wants to create templates for all faculties (lecturers)
\end{itemize}
\paragraph{Expectations:}
\begin{itemize}
\item expects good work flow (fast usage)
\item not having to add users by hand
\end{itemize}
\end{minipage}}

\paragraph*{User stories}

\begin{itemize}
    
    \item \textbf{EPIC E3: Survey Creation offers many options}
    \begin{itemize}
        \item As a QA, I want to invite the participants directly via E-Mail from my user interface to save time.
        \item As a QA, I want to share the result of the survey via mail with other.
    \end{itemize}

    \item \textbf{EPIC E8: Create Report for closed survey}
    \begin{itemize}
        \item As an organizational administrator, I want an easy to use  system, because I don't like learning new things.
        \item As an organizational administrator, I want the data export to use corresponding newlines under Windows, Linux and MacOS.
        \item As an organizational administrator, I want to use windows, so that I can do it on my work computer.
    \end{itemize}
    
     \item \textbf{extensions:}
     \begin{itemize}
         \item As an organizational administrator, I don't want to be forced to add user by hand, so that I can deal effectivly with large student groups.
         \item As a QA, I want to select multiple of my surveys in the overview and trigger their evaluation with one click to work more efficient.
         \item As a QA, I want to be able to choose from activating a back-button or deactivating the button.
     \end{itemize}
\end{itemize}

\paragraph*{User scenario}
\paragraph{Create survey template}
\begin{itemize}
    \item \textbf{Create survey template:}
    Andrea Ringbiel wants to create a survey template that should be equal for all departments. She creates a template with these questions and marks them as non editable. Then she shares the template with all faculties.
    \item \textbf{Create report over all surveys}
    Andrea Ringbiel has to write a report about all (university wide) surveys. So she opens her template and exports all the results for derived surveys.
\end{itemize}
\newpage

\subsection{Technical Administration}

\subsubsection{Persona Rolf Sebastian}
\fbox{\begin{minipage}{\textwidth}
\paragraph{Personal:} Mr. Rolf Sebastian 27, married, works for technical department of the university, manages many university servers
\paragraph{Motivations:}
\begin{itemize}
\item part of his job
\end{itemize}
\paragraph{Goal:}
\begin{itemize}
\item wants to set up studIP
integration
\item wants to set up the survey system for all users of the university
\item wants to integrate the system with LDAP/Active Directory (user 
\end{itemize}
\paragraph{Expectations:}
\begin{itemize}
\item he cannot see survey data
\item not having to add users by hand
\item low maintenance
\end{itemize}
\end{minipage}}

\paragraph*{User Stories}
\begin{itemize}
    \item \textbf{EPIC E1: Data Storage}
    \begin{itemize}
        \item As a technical administrator, I want the data to be hidden, so that the privacy of survey participants is ensured.
    \end{itemize}
    
    \item \textbf{extensions:}
     \begin{itemize}
        \item As a technical administrator, I want to set up the survey system for all users of the university, so that I can address everyone at the same time.
    \end{itemize}
    
\end{itemize}

\paragraph*{User Scenarios}
\begin{itemize}
    \item \textbf{Set up the system}
    Rolf Sebastian has to setup the survey system. He installs the server with an encrypted database and configures the LDAP-Login and the StudIP-plugin.
\end{itemize}
\newpage

\subsection{Unsorted}
\begin{itemize}
    \item As a lecturer, many students should be able to access the survey at the same time, so that I can use surveys for my lecture.
    \item As a student, I want to fill out surveys fast, so that I can do that in a short break
    \item As a professor, I want a user interface that I understand, although I am not a digital native
    \item As a Swedish professor, I want to write special characters, so that I can create a survey in Swedish.
    \item As a student, I want to fill out survey on my laptop.  
    \item As a survey creator, I don't want to spent much time with the creating of a survey, so that I can do other work.
    \item As a professor, I want to be able to interrupt the creation of a survey and resume later on.
    \item As a professor, I want to change existing questionnaires, so that I can adopt old surveys to use them.
    \item As a survey creator, I want to use templates so that creating similar survey cost less time
    \item As a survey creator, I want my survey to react on a samples answers during completion of the survey, so that no one gets bored by too many questions and nobody misses details.
    \item As a xxx (QA Mitarbeiter), I want to sent multiple survey with on click, so that I can economize time.
    \item As a survey creator, I want to set start and end time of the survey beforehand.
    As a DPC (Data Protection Commissioner), I want that survey participants can opt-out of the survey.
    \item As a DPC, I want that everyone has to actively accept the Datenschutzbelehrung
    \item As a DPC, I want that all surveys follow the objective to ensure lectures of high quality
    \item As a DPC, I want to get to take a view on all surveys
    \item As a DPC, I want the system to provide a procedure description
    \item As a DPC, I want the university's data protection guidelines to be implemented
    \item As a DPC, I want no lecturer to be able to identify a single student from his personal report
    \item As a QA, I want to have good filters, so that I can do a fast selection of specific groups of surveys
    \item As a QA, I want to import paper-questionnaires via scan, so that I can compare old survey-result with new online-surveys
    \item As a professor, I want to ask my own questions, although I use the university's question set
    \item As a QA, I want the option to have interactive or static survey, so that I can address all purposes in the best way
    \item As a survey creator, I want an undo button. 
    \item As a QA, I want to be able to choose from activating a back-button or deactivating the button
    \item As a professor, I want free-text fields
    \item As a QA, I want to know which groups of participants took part in the survey
    \item As a QA, I want to now, how many participants filled out the survey at which time, so that I can optimize the time 
    \item As a QA, I want to know how many participants used which input device
    \item As a lecturer, I want an integration of my survey in the studIP-course
    \item As a lecturer, I don't want to fill out the lecture-details manually, since I already did this in uniVZ
    \item As a QA, I have to be able to relaye questionnaires to the faculty
    \item As a lecturer, I want to use dropdown-answer questions
    \item As a QA, I want to make an evaluation over certain lectures every semester periodically
    \item As an admin, I don't want to have access to the unencrypted raw survey data
    As a lecturer, I want to understand the UI intuitively, so that I don't have to ask for everything
    \item As a student, I want to see all information on my desktop at once, so that I don't have to scroll all the time
    \item As a Dean of Studies, I want to do all evaluation related things using my own login, so that all my tasks are bundled in the system
    \item As a DPC, I want that nobody can see the data in particular if not needed anymore, so that the Datenschutzgrundverordnung is fulfilled
    \item As a Dean of Studies, I want to relate old and new survey data with each other, so that I can see improvement and degradation
    \item As a QA, I want to filter all insults and clearly relatable answers in free-text fields, so that I can shield all lecturers from beeing confronted with insults
    \item As a DPC, I expect all insults and clearly relatable free-text answers to be filtered before any evaluation of survey data
    \item As a researcher, I want to create individual surveys, so that they fit the needs of the unique case study
    \item As a researcher, I want to be able to select more questions for clustering after the first evaluation is finished, because I forgot to select some.
    \item As a researcher, I want to see the median value of the answers of questions with the possibility to select a number from an interval.
    \item As a researcher, I want to see the IQR of the answers of questions with the possibility to select a number from an interval
    \item As a researcher, I want to export my reports as pdf.
\end{itemize}

\section{Alte Version 2}

\section{Alte Version 1}
\subsection{Survey creators}
\subsubsection{Persona Prof. Samuel Eich}
\fbox{\begin{minipage}{\textwidth}
\paragraph{Personal:} Prof. Samuel Eich, 55, 3 children, teaches bioinformatics

\paragraph{Motivations:}
\begin{itemize}
\item gives lecture "Introduction to Machine Learning"
\item wonders why attendance rate is low in his lecture
\end{itemize}
\paragraph{Goals:}
\begin{itemize}
\item gives lecture and wants to assess its quality
\item wants to create his own survey with special questions
\item wants feedback about the quality of his teaching
\item wants to know in which way he can improve his lecture
\end{itemize}
\paragraph{Expectations:}
\begin{itemize}
\item survey works for different devices
\item evaluation should be automated or assisted, because he has no time for manual evaluation
\end{itemize}
\end{minipage}}

\paragraph*{User Stories}
\begin{itemize}
\item As professor Eich, I want to use an online evaluation tool to get feedback about my lecture, so that I can adjust my teaching style.
\item As professor Eich, I want the students to be able to fill out the questionnaire at home, to also get the opinions of my students who do not attend my lectures, so that I can find out about their reasons for their absence  
\item As professor Eich, I want the tool to work online, so that I can reach all my students.
\item As professor Eich, I want to invest as little administrative work in creating the poll as possible, so I can maximise my time spent on scientific research.
\item As professor Eich, I want to ask my student an open question at the end of the questionnaire about what to improve, so that I can make changes to my lecture next term. 
\end{itemize}
\paragraph*{User Scenarios}
\begin{multicols}{2}
\begin{itemize}
\itemsep=0pt
\item visits adam website
\item logs in
\item wants to create a new questionnaire
\item selects option that every student can fill out the questionnaire exactly once
\item wants to decide on and select type of question
\item fills out formula to personalise question
\item adds question
\item repeats this
\item lecture starts, saves questionnaire
\item logs out
\item logs in
\item selects the saved project he is working on
\item resumes work on questionnaire
\item adds more questions
\item finishes last question
\item adds time slot for doing the questionnaire
\item saves questionnaire
\item two weeks pass
\item logs in
\item  selects project
\item selects automatic evaluation for questionnaire
\item looks at outcomes
\item log out.
\end{itemize}
\end{multicols}

\newpage

\subsubsection{Persona Erik Schmidt}
\fbox{\begin{minipage}{\textwidth}
\paragraph{Personal}: Erik Schmidt, 22, single, studies Gender Studies, very limited EDP knowledge
\paragraph{Motivations:}
\begin{itemize}
    \item has to do an empiric study for his bachelor thesis
\end{itemize}
\paragraph{Goals:}
\begin{itemize}
    \item wants to create and evaluate a survey
    \item wants to complete her bachelor thesis in time
    \item export survey (including results and graphs) as pdf to attach it to thesis
\end{itemize}
\paragraph{Expectations:}
\begin{itemize}
    \item a short training period to learn to work with the survey-system
    \item doesn't want to evaluate the survey manually
    \item survey should look pleasing, on mobile devices as well
\end{itemize}
\end{minipage}}

\paragraph*{User stories}
\begin{itemize}

    \item As a student (Erik Schmidt), I want an automated evaluation system, so that I don't have to do it myself.
    \item As a student (Erik Schmidt), I want to create a survey, so that I can use it in my bachelor thesis
    \item As a student (Erik Schmidt), I don't want to spend much time on learning about the system, because I don't like computer things.
    \item As a student (Erik Schmidt), I want the surveys to work on mobile devices as well, so that more people fill it out.
    \item As a student (Erik Schmidt), I want to export a results report in a pretty form, so that I can include it directly in my thesis.
\end{itemize}
\paragraph*{User scenario}

\newpage

\subsubsection{Persona Eva Heinrich}
\fbox{\begin{minipage}{\textwidth}
\paragraph{Personal:} Eva Heinrich, 18, single, biology, limited EDP knowledge
\paragraph{Motivations:}
\begin{itemize}
\item wants to fill out a survey for her lecture "Introduction to Machine Learning"
\item doesn't like the lecture and doesn't visit it because she thinks it's boring
\item wants to improve the lecture with her feedback
\end{itemize}
\paragraph{Goals:}
\begin{itemize}
\item not to spend much time with survey
\item give good feedback
\end{itemize}
\paragraph{Expectations:} 
\begin{itemize}
\item filling out survey is easy and not complicated
\item good usability
\item looks well on whichever device she uses
\end{itemize}
\end{minipage}}

\paragraph*{User Stories}
\begin{itemize}
    \item As a student, I want to be able to fill out surveys on my iPhone, because I like Apple
    \item As a student, I want the survey to look nice, because I care about design.
\end{itemize}


\paragraph*{User Scenarios}
\begin{itemize}
    \item A student fills out a survey for her friend. She opens it on her phone and finishes it because it works so great on mobile devices.
    \item A student fills out a survey for her friend. She opens it on her phone and begins to click through. Because the survey looked short and now she has half completed it - she finishes.
\end{itemize}

\newpage

\subsection{Survey participant}
\subsubsection{Persona Klaus Günther}
\fbox{\begin{minipage}{\textwidth}
\paragraph{Personal:} Klaus Günther, 19, single, studies psychology, uses Windows
\paragraph{Motivation:}
\begin{itemize}
\item wants to fill out many surveys, because he has to participate to complete his studies
\end{itemize}
\paragraph{Goals:}
\begin{itemize}
\item Fill out the survey
\end{itemize}
\paragraph{Expectation:}
\begin{itemize}
\item do it fast
\item wants a smooth transition between the questions
\item own data is securly stored
\item not everyone has access to own data
\item Data is annonymised
\end{itemize}
\end{minipage}}

\paragraph*{User Stories}
\begin{itemize}
    \item As a survey participant, I want a smooth transition between the question, because I really don't like if a question takes ages to load.
    \item As a survey participant, I want my data to be anonymised, so that my lecturer wouldn't know that I didn't like his lecture.
    \item As a survey participant, I want the surveys to be low-effort, so that I can fill out many within a short time.
    \item As a survey participant, I want to use my keyboard because its faster, so that I can spend less time on each survey page.
\end{itemize}
\paragraph*{User Scenarios}

\newpage

\subsection{Analyst}

\subsubsection{Persona Isabel Petterson}
\fbox{\begin{minipage}{\textwidth}
\paragraph{Personal:} Prof. Isabel Petterson, 42, married, 1 child, professor for psychology, Language skills: Swedish: natural, English: fluent, German: good, works at Uni Göttingen
\paragraph{Motivations:}
\begin{itemize}
\item wants to use surveys for psychological study in a research project, includes many free text fields
\end{itemize}
\paragraph{Goals:}
\begin{itemize}
\item export raw data from time to time to apply continuous evaluation
\item give partial access (survey administration) to research assistant, due to data protection policies
\end{itemize}
\paragraph{Expectations:}
\begin{itemize}
\item patient-data should be stored securely
\item provide survey in different languages
\item setup survey using an interface in English language
\item intelligent assistance for free text field evaluation
\end{itemize}
\end{minipage}}

\paragraph*{User Stories}
\begin{itemize}
    \item As a researcher, I want to include many free text field into the survey, so that I can enquire about pernoal attitudes.
    \item As a researcher, I want to be able to give partial access to my research assistants, so that I can fulfil data protection policies.
    \item As a researcher, I want a secure system, so that I can store sensitive data.
    \item As a researcher, I want the system to support multiple language, so that I can adress non English-speaking people.
    \item As a researcher, I want individual layout options.
    \item As a researcher, I want to include pictures into the questionnaire, so that I can ask questions about them.
    \item As a researcher, I want to be able to print the questionnaire, so that I can use it in schools that don't have internet or computers.
    \item As a researcher, I want the system to work for 500-2000 survey participants
    \item As a researcher, I want to be able to pin my questionnaires togesther, so that I don't get confused with longer questionnaires.
    \item As a researcher, I don't want a multi steps user interface, so that the programm responds quickly
    \item As a researcher, I want the questionnaires to be distinguishable for all participants because I want to do multivariant statistics on them
    \item As a researcher, I want the system to be fast, even if there are multiple persons working on it
    \item As a researcher, I want the system to have an integrated scanning function, so that I can use on paper questionnaires
    \item As a researcher, I want verifying to be on a single page, so that I don't have to click through every single question.
    \item As a researcher, I want the system to be inexpensive because my department doesn't have a lot of money
    \item As a researcher, I want to be able to use a layout similar to the IGLU and TIMMS studies.
    \item As a researcher, I want to be able to export raw data to do sophisticated manual analysis on them
    \item As a researcher, I want to be able to create different user profils and limit right for those, so that I can delegate work to my student assistants.


\end{itemize}

\paragraph*{User scenario}
 scenario 1
\begin{itemize}    
    \item She logs in, selects the survey and checks that the manual verification is completed. Afterwards, she exports the data as csv, archives the survey and downloads the archived survey. Finally, she logs out.
\end{itemize}
scenario 2
\begin{itemize}
    \item log in
    \item create new user profile (e.g. for student assistant)
    \item select rights for user profile (only allowed to do verification)
    \item log out
\end{itemize}
\newpage

\fbox{\begin{minipage}{\textwidth}
\subsubsection{Persona Kim Ngyuen}
\paragraph{Personal:} Kim Ngyuen, 22, single, sport and political science, works at the institute for politics as student assistent
\paragraph{Motivation:} 
\begin{itemize}
\item needs money, but does not want to spend to much time on it
\item gain experience with scientific research
\end{itemize}
\paragraph{Goals:}
\begin{itemize}
\item digitalize old survey results 
\item review ambiguous responses from automatically scanned surveys
\end{itemize}
\paragraph{Expectations:}
\begin{itemize}
\item do as few manual reviews as possible
\item correct his own mistakes during review
\item as litlle work as possible with scanning surveys
\item import surveys in pdf format (???)
\item reading data automatically from scanned surveys
\end{itemize}
\end{minipage}}
\paragraph*{User Stories}
\begin{itemize}
    \item As a student assistant, I want an effective way to scan documents, so that I don't waste my time on that.
    \item As a student assistant, I want to digitize old surveys, so that I can analyse them on a computer.
    \item As a student assistant, I want a system that corrects my mistakes, so that I can ensure the quality of my work.
    \item As a student assistant, I want to go back to the last question, so that I can correct any mistakes there.
\end{itemize}

\paragraph*{User Scenarios}
\begin{itemize}

    \item A student assistant puts all surveys in a scanner. The scanner scanes all documents. The result can then be uploaded to the survey system.

    \item A student assistant digitalizes Survey prints by scanning them. The system automatically checks for the survey ID and finds the survey in its database. For checkbox questions the system automatically analyzes which box is checked. For free text questions the text box is extracted as an image and optionally converted into text. The student assistant checks if the system made any errors and corrects them.   
    \item As a student assistant I want to first scan questionnaires, then log in and upload the scan to the system. Afterwards, I want to start the automated answer detection system and do manual verification before I log out.

\end{itemize}

\newpage

\subsubsection{Persona Andrea Ringbiel}    
\fbox{\begin{minipage}{\textwidth}
\paragraph{Personal:} Mrs. Andrea Ringbiel, 43, married, works for the university in QA departmentment uses normal university windows setup
\paragraph{Motivations:}
\begin{itemize}
\item generally isn't very motivated and thereby wants to spend as little time as possible
\item part of her job
\end{itemize}
\paragraph{Goals:}
\begin{itemize}
\item create reports for all faculties 
\item wants to create templates for all faculties (lecturers)
\end{itemize}
\paragraph{Expectations:}
\begin{itemize}
\item expects good work flow (fast usage)
\item not having to add users by hand
\end{itemize}
\end{minipage}}

\paragraph*{User stories}
\begin{itemize}
    \item As an organizational administrator, I don't want to be forced to add user by hand, so that I can deal effectively with large student groups.
    \item As an organizational administrator, I want an easy to use  system, because I don't like learning new things.
    \item As an organizational administrator, I want to use windows, so that I can do it on my work computer.
\end{itemize}


\paragraph*{User scenario}
\begin{itemize}
    \item An organizational administrator gets a survey template that should be equal for all departments. She creates a template with these questions and marks them as non editable. Then she shares the template with all faculties.
    \item An organizational administrator has to write a report about all (university wide) surveys. So she opens her template and exports all the results for derived surveys.
\end{itemize}
\newpage

\subsection{System Administration}

\subsubsection{Persona Rolf Sebastian}
\fbox{\begin{minipage}{\textwidth}
\paragraph{Personal:} Mr. Rolf Sebastian 27, married, works for technical department of the university, manages many university servers
\paragraph{Motivations:}
\begin{itemize}
\item part of his job
\end{itemize}
\paragraph{Goal:}
\begin{itemize}
\item wants to set up studIP
integration
\item wants to set up the survey system for all users of the university
\item wants to integrate the system with LDAP/Active Directory (user 
\end{itemize}
\paragraph{Expectations:}
\begin{itemize}
\item he cannot see survey data
\item not having to add users by hand
\item low maintenance
\end{itemize}
\end{minipage}}

\paragraph*{User Stories}
\begin{itemize}
    \item As a technical administrator, I want to set up the survey system for all users of the university, so that I can adress everyone at the same time.
    \item As a technical administrator, I want the data to be hidden, so that the privacy of survey participants is ensured.
\end{itemize}

\paragraph*{User Scenarios}
\newpage

\subsection{Data Protection Commissioner}

\subsubsection{Persona: Edward Schnee}
\fbox{\begin{minipage}{\textwidth}
\paragraph{Personal:} Edward Schnee, 37, married, works as Data Protection Commissioner for the university

\paragraph{Motivation:}
\begin{itemize}
    \item part of his job
    \item interested in Data Protection
    \item not get his university sued
\end{itemize}
\end{minipage}}
\paragraph{Goal:}
\begin{itemize}
\item implement DSGVO
\item protect users
\end{itemize}
\paragraph{Expectations:}
\begin{itemize}
\item the system itself is DSGVO compliant
\item the system makes it easier for him to do the taks he should do as DPC
\end{itemize}

\paragraph*{User Stories}
\begin{itemize}
    \item As a Data Protection Commissioner, I want that the survey participant is informed which data is stored for which use when he opens the survey.
    \item As an Data Protection Commissioner, I want the Data to be stored on university servers or that the external company fulfills all required restrictions.
    \item As a Data Protection Commissioner, I want that if a user declined that his data is stored, that the data will not be stored.
\end{itemize}

\paragraph*{User Scenarios}
\newpage

\end{document}
